curl --request POST \
--url https://api.getsly.ai/v1/v1/accounts/onboard \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_name": "<string>",
"account_type": "person",
"agent_name": "<string>",
"kya_tier": 0,
"initial_funding": "<string>"
}
'{
"account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment": "test",
"type": "person",
"name": "<string>",
"verificationTier": 1,
"verificationStatus": "unverified",
"verificationType": "kyc",
"balanceTotal": 123,
"balanceAvailable": 123,
"balanceInStreams": 123,
"balanceBuffer": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"subtype": "<string>",
"email": "jsmith@example.com",
"country": "<string>",
"currency": "USDC",
"metadata": {}
},
"agent": {
"id": "<string>",
"token": "<string>"
},
"wallet": {
"id": "<string>",
"address": "<string>"
}
}Creates an account, an optional agent, and a wallet in a single atomic call. Returns all generated credentials. Useful for wizards and scripted setups. Sandbox-funded if initial_funding is provided.
curl --request POST \
--url https://api.getsly.ai/v1/v1/accounts/onboard \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_name": "<string>",
"account_type": "person",
"agent_name": "<string>",
"kya_tier": 0,
"initial_funding": "<string>"
}
'{
"account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment": "test",
"type": "person",
"name": "<string>",
"verificationTier": 1,
"verificationStatus": "unverified",
"verificationType": "kyc",
"balanceTotal": 123,
"balanceAvailable": 123,
"balanceInStreams": 123,
"balanceBuffer": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"subtype": "<string>",
"email": "jsmith@example.com",
"country": "<string>",
"currency": "USDC",
"metadata": {}
},
"agent": {
"id": "<string>",
"token": "<string>"
},
"wallet": {
"id": "<string>",
"address": "<string>"
}
}API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).